=== drivers/net/wireless/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux Wireless network device drivers.
#
#
#obj-$(CONFIG_WLAN_VENDOR_ADMTEK) += admtek/
#obj-$(CONFIG_WLAN_VENDOR_ATH) += ath/
#obj-$(CONFIG_WLAN_VENDOR_ATMEL) += atmel/
#obj-$(CONFIG_WLAN_VENDOR_BROADCOM) += broadcom/
#obj-$(CONFIG_WLAN_VENDOR_CISCO) += cisco/
obj-$(CPTCFG_WLAN_VENDOR_INTEL) += intel/
#obj-$(CONFIG_WLAN_VENDOR_INTERSIL) += intersil/
#obj-$(CONFIG_WLAN_VENDOR_MARVELL) += marvell/
#obj-$(CONFIG_WLAN_VENDOR_MEDIATEK) += mediatek/
#obj-$(CONFIG_WLAN_VENDOR_MICROCHIP) += microchip/
#obj-$(CONFIG_WLAN_VENDOR_PURELIFI) += purelifi/
#obj-$(CONFIG_WLAN_VENDOR_QUANTENNA) += quantenna/
#obj-$(CONFIG_WLAN_VENDOR_RALINK) += ralink/
#obj-$(CONFIG_WLAN_VENDOR_REALTEK) += realtek/
#obj-$(CONFIG_WLAN_VENDOR_RSI) += rsi/
#obj-$(CONFIG_WLAN_VENDOR_SILABS) += silabs/
#obj-$(CONFIG_WLAN_VENDOR_ST) += st/
#obj-$(CONFIG_WLAN_VENDOR_TI) += ti/
#obj-$(CONFIG_WLAN_VENDOR_ZYDAS) += zydas/
#
#obj-$(CPTCFG_WLAN) += legacy/
obj-$(CPTCFG_WLAN) += virtual/
