=== net/mac80211/tests/Makefile ===
mac80211-tests-y += module.o elems.o mfp.o

obj-$(CPTCFG_MAC80211_KUNIT_TEST) += mac80211-tests.o
