=== net/wireless/tests/Makefile ===
cfg80211-tests-y += module.o fragmentation.o scan.o util.o

obj-$(CPTCFG_CFG80211_KUNIT_TEST) += cfg80211-tests.o
