=== drivers/net/wireless/legacy/Makefile ===
# 16-bit wireless PCMCIA client drivers
#obj-$(CONFIG_PCMCIA_RAYCS)	+= ray_cs.o
#obj-$(CONFIG_PCMCIA_WL3501)	+= wl3501_cs.o
#
#obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o
