=== debian/changelog ===
backport-iwlwifi-dkms (11510-0ubuntu1~22.04.3) jammy; urgency=low

  [You-Sheng Yang]

  * Failed to build against linux-generic 6.8 with stable backports
    (LP: #2095138)
    - sync genlmsg_multicast_allns impl. from plucky
    - d/p/configure-add-m4-macros-for-kernel-feature-detection.patch
    - d/p/configure-add-basic-files-for-build-time-configure.patch
    - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - debian: update rules/install/... to support files for build
      time configure script.

  * Failed to build against 6.1.0-1036-oem, 5.15.0-43-generic (LP: #2083481)
    - drop d/p/0020-UBUNTU-SAUCE-iwlwifi-fix-timer-abi.patch
    - d/p/configure-detect-timer_shutdown-_sync-API.patch
    - d/p/backports-timers-Rename-del_timer-_sync.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 17 Feb 2025 22:43:58 +0800

backport-iwlwifi-dkms (11510-0ubuntu1~22.04.2) jammy; urgency=low

  [You-Sheng Yang]
  * Fails to build against linux-5.15 after stable update (LP: #2089385)
    - backports: genetlink: hold RCU in genlmsg_mcast()

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 15 Jan 2025 17:46:47 +0800

backport-iwlwifi-dkms (11510-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport from Noble and rebuild in the Jammy environment (LP: #2069582):
    - debian/patches/0020-UBUNTU-SAUCE-iwlwifi-fix-timer-abi.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 18 Jun 2024 06:46:50 +0000
