=== debian/control ===
Source: backport-iwlwifi-dkms
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/vicamo/backport-iwlwifi-dkms
Vcs-Browser: https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/master
Vcs-Git: https://gitlab.com/vicamo/backport-iwlwifi-dkms.git

Package: backport-iwlwifi-dkms
Architecture: all
Depends:
 dkms,
 libc6-dev | libc-dev,
 ${misc:Depends},
Provides: iwlwifi-modules
Description: iwlwifi driver backport in DKMS format
 Intel works with periodic releases of the iwlwifi driver that are
 tested with a specific combination of components such as firmware and
 hostap. These releases can be seen as snapshots of the development
 trees (including upstream) that can be used on older kernels.
 .
 This package provides iwlwifi modules built from iwlwifi-public
 defconfig based on upstream master branch.
