=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME=backport-iwlwifi
DKMS_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
GENERATED_DKMS_FILES= \
    debian/backport-iwlwifi-dkms.install \
    debian/backport-iwlwifi-dkms.dkms

%:
	dh $@ --with dkms

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_clean:
	-rm -f $(GENERATED_DKMS_FILES)
	dh_clean

override_dh_install: debian/backport-iwlwifi-dkms.install
	dh_install --exclude=.gitignore --exclude=kconfig.h.in~

override_dh_dkms: debian/backport-iwlwifi-dkms.dkms
	dh_dkms -V $(DKMS_PACKAGE_VERSION)

$(GENERATED_DKMS_FILES) : $(GENERATED_DKMS_FILES:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@
